# Get loyalty activity by ID

This endpoint retrieves a loyalty activity for a registered member.

Endpoint: GET /loyalty/activities/{loyaltyActivityId}
Version: 1.0
Security: JWT

## Path parameters:

  - `loyaltyActivityId` (string, required)
    ID of loyalty activity to retrieve

## Header parameters:

  - `Authorization` (string, required)

## Response 200 fields (application/json):

  - `id` (string, required)
    The Id of the loyalty activitiy in the Tyro Connect system.
    Example: "0f448ac1-862a-4c7b-bdb4-a3b7cdbf6149"

  - `locationId` (string, required)
    The Id of the location as specified by the Tyro Connect system.

  - `memberId` (string)
    The identifier of the member who is associated with this activity. This value corresponds to the origin.memberId provided during member registration.

  - `payment` (object, required)

  - `payment.origin` (object)

  - `payment.origin.paymentId` (string)
    Payment Identifier generated from the payment source. It refers to the transaction.receipt (from Tyro eCommerce APIs) or otherwise referred to as the RRN.

  - `payment.origin.paymentSource` (string)
    Enum: "EFTPOS", "ONLINE"

  - `payment.type` (string)
    Enum: "PURCHASE", "REFUND", "CASHOUT", "OPEN_PRE_AUTH", "CLOSE_PRE_AUTH", "VOID"

  - `payment.mode` (string)
    EFTPOS integration type. It will always be NOT_APPLICABLE for ONLINE payments.
    Enum: "INTEGRATED", "STANDALONE", "NOT_APPLICABLE"

  - `payment.zonedDateTime` (string)

  - `payment.breakdown` (object)

  - `payment.breakdown.goodsAndServices` (object)
    This is the amount paid by the card holder for their goods and/or services. This amount does not include any tip, surcharge, or cash out.

  - `payment.breakdown.goodsAndServices.amount` (integer, required)
    This is the amount in smallest currency unit. e.g 12520 (in cents) is $125.20
    Example: 12520

  - `payment.breakdown.goodsAndServices.currency` (string, required)
    This is always AUD
    Enum: "AUD"

  - `payment.breakdown.cashout` (object)
    If the cardholder withdrew cash as part of the transaction this value represents how much cash was given to the cardholder.

  - `payment.breakdown.cashout.amount` (integer, required)
    This is the amount in smallest currency unit. e.g 12520 (in cents) is $125.20
    Example: 12520

  - `payment.breakdown.cashout.currency` (string, required)
    This is always AUD
    Enum: "AUD"

  - `payment.breakdown.tip` (object)
    If the cardholder left a tip this value represents how much the tip was.

  - `payment.breakdown.tip.amount` (integer, required)
    This is the amount in smallest currency unit. e.g 12520 (in cents) is $125.20
    Example: 12520

  - `payment.breakdown.tip.currency` (string, required)
    This is always AUD
    Enum: "AUD"

  - `payment.breakdown.surcharge` (object)
    If the cardholder was charged a surcharge this value represents how much the surcharge was.

  - `payment.breakdown.surcharge.amount` (integer, required)
    This is the amount in smallest currency unit. e.g 12520 (in cents) is $125.20
    Example: 12520

  - `payment.breakdown.surcharge.currency` (string, required)
    This is always AUD
    Enum: "AUD"

  - `payment.total` (object)
    The total amount that was paid by the cardholder.

  - `payment.total.amount` (integer, required)
    This is the amount in smallest currency unit. e.g 12520 (in cents) is $125.20
    Example: 12520

  - `payment.total.currency` (string, required)
    This is always AUD
    Enum: "AUD"

  - `sale` (object)

  - `sale.locationId` (string, required)
    This is the Tyro Connect defined location Id. It is a globally unique identifier that is used to identify a merchants individual site

  - `sale.origin` (object, required)
    Identifiers and reference numbers that were generated by the POS.

  - `sale.origin.saleId` (string, required)
    The Id of the sale generated by the POS. This value should allow for partner systems to reconcile this sale with the POS.

  - `sale.origin.locationId` (string, required)
    The Id of the store according to the POS

  - `sale.origin.locationName` (string)
    This is the human readable name of the location.

  - `sale.source` (object, required)
    Information about the source of the sale.

  - `sale.source.type` (string, required)
    An enum describing the source type of the sale.
    Enum: "DELIVEROO", "DOORDASH", "GOOGLE", "HEYYOU", "HUNGRYHUNGRY", "MEANDU", "MENULOG", "MRYUM", "ORDERUP", "OTHER", "POS", "UBEREATS"

  - `sale.source.other` (string)
    The source of the sale if the source type is OTHER.

  - `sale.type` (string, required)
    An enum describing what kind of sale took place.
    Enum: "SALE", "REFUND", "VOID"

  - `sale.status` (string)
    An enum describing the status of the sale. In the future the API will support more values for this field.
    Enum: "CLOSED"

  - `sale.openedZonedDateTime` (string, required)
    The time the sale was opened on the POS. The format of the date time is the notation as defined by [RFC 3339, section 5.6](https://tools.ietf.org/html/rfc3339#section-5.6)
    Example: "2018-05-02T08:28:13+10:00"

  - `sale.closedZonedDateTime` (string, required)
    The time the sale was closed on the POS. The format of the date time is the notation as defined by [RFC 3339, section 5.6](https://tools.ietf.org/html/rfc3339#section-5.6)
    Example: "2018-05-02T08:28:13+10:00"

  - `sale.customer` (object)

  - `sale.customer.id` (string)

  - `sale.customer.name` (string)

  - `sale.register` (object)
    Information about which register in the venue was used

  - `sale.register.id` (string)

  - `sale.register.name` (string)

  - `sale.staff` (object, required)
    Details about the staff member who performed the transaction

  - `sale.staff.id` (string, required)
    The id of the staff member in the POS system. Please do not put the staff members name here

  - `sale.section` (object)
    The section within the venue where the sale took place.

  - `sale.section.id` (string)
    The POS system's Id of the section

  - `sale.section.name` (string)
    The readable name of the section. E.g. Front bar, drive through for hospitality or for retail men's clothes, womens shoes etc.

  - `sale.table` (object)
    Optional information about the table where in the venue the sale took place.

  - `sale.table.number` (string, required)
    The table number or table id. This field accepts alphanumeric characters e.g MAIN-33
    Example: "MAIN-33"

  - `sale.table.seats` (integer)
    The number of PAX where were seated at the table

  - `sale.bookingId` (string)
    The booking ID defined by Tyro Connect to identify a reservation

  - `sale.items` (array)

  - `sale.items.id` (string, required)
    A unique id representing the item within the overall order, i.e. 2 of the same items will have unique ids.

  - `sale.items.name` (string, required)

  - `sale.items.category` (string)

  - `sale.items.description` (string)

  - `sale.items.sku` (string, required)
    The Id of the item that is aligned with the Id of the item in the POS.

  - `sale.items.barcode` (string)

  - `sale.items.modifiers` (array)
    A list of modifications to be made to the parent item.
Each object in this array is a [Line Item](#/components/schemas/line-item)

  - `sale.items.unitPrice` (object, required)
    The single unit price (in cents) including tax but excluding discounts (if any)

  - `sale.items.unitPrice.amount` (integer, required)
    This is the amount in smallest currency unit. e.g 12520 (in cents) is $125.20
    Example: 12520

  - `sale.items.unitPrice.currency` (string, required)
    This is always AUD
    Enum: "AUD"

  - `sale.items.unitPriceTax` (object, required)
    The single unit amount (in cents) of tax collected by the merchant

  - `sale.items.unitPriceTax.amount` (integer, required)
    This is the amount in smallest currency unit. e.g 12520 (in cents) is $125.20
    Example: 12520

  - `sale.items.unitPriceTax.currency` (string, required)
    This is always AUD
    Enum: "AUD"

  - `sale.items.unitCost` (object)
    The single unit cost (in cents) paid by the merchant

  - `sale.items.unitCost.amount` (integer, required)
    This is the amount in smallest currency unit. e.g 12520 (in cents) is $125.20
    Example: 12520

  - `sale.items.unitCost.currency` (string, required)
    This is always AUD
    Enum: "AUD"

  - `sale.items.unitCostTax` (object)
    The single unit amount (in cents) of tax paid by the merchant

  - `sale.items.unitCostTax.amount` (integer, required)
    This is the amount in smallest currency unit. e.g 12520 (in cents) is $125.20
    Example: 12520

  - `sale.items.unitCostTax.currency` (string, required)
    This is always AUD
    Enum: "AUD"

  - `sale.items.discounts` (array)
    A list of discounts applied to the line item (this is not a per unit discount). e.g if the line item has a quantity of 3, and each item has a 20 cent discount, you could include one discount of 60 cents in the list, or three 20 cent discounts in the list.

  - `sale.items.discounts.amount` (integer, required)
    This is the amount in smallest currency unit. e.g 12520 (in cents) is $125.20
    Example: 12520

  - `sale.items.discounts.currency` (string, required)
    This is always AUD
    Enum: "AUD"

  - `sale.items.discounts.description` (string)
    A description of what this amount of money represents
    Example: "Tuesday Happy Hour Discount"

  - `sale.items.sale` (object)
    Provides additional information about the sale. Only present when top-level sale type is COMBINATION. Allows a POS to record a sale that contains item/s that are returned or exchanged as part of the sale.

  - `sale.items.sale.type` (string)
    Enum: "SALE", "REFUND"

  - `sale.items.surcharges` (array)
    A list of surcharges applied to the line item (this is not a per unit surcharge). e.g if the line item has a quantity of 5, and each item has a $2 surcharge, you could include one surcharge of $10 in the list, or five $2 surcharges in the list.

  - `sale.items.quantity` (number, required)
    The number of units of this item in the sale. It can be fractional.

  - `sale.items.tax` (object, required)
    The amount (in cents) of tax collected by the merchant for this line item

  - `sale.items.tax.amount` (integer, required)
    This is the amount in smallest currency unit. e.g 12520 (in cents) is $125.20
    Example: 12520

  - `sale.items.tax.currency` (string, required)
    This is always AUD
    Enum: "AUD"

  - `sale.items.total` (object, required)
    The total (in cents) of this line item after tax, discounts, surcharges, modifiers and rounding have been applied.

  - `sale.items.total.amount` (integer, required)
    This is the amount in smallest currency unit. e.g 12520 (in cents) is $125.20
    Example: 12520

  - `sale.items.total.currency` (string, required)
    This is always AUD
    Enum: "AUD"

  - `sale.discounts` (array)

  - `sale.surcharges` (array)

  - `sale.tax` (object, required)
    The total amount (in cents) of tax collected for this sale by the merchant.

  - `sale.tax.amount` (integer, required)
    This is the amount in smallest currency unit. e.g 12520 (in cents) is $125.20
    Example: 12520

  - `sale.tax.currency` (string, required)
    This is always AUD
    Enum: "AUD"

  - `sale.payments` (array, required)

  - `sale.payments.acquirer` (object)
    Details about the financial instituition that processed the payment. This object is only supplied when the method is EFTPOS

  - `sale.payments.acquirer.name` (string, required)
    The name of the Financial Institution that processed the payment. If it was Tyro Payments who processed the transaction, this value is TYRO
    Example: "TYRO"

  - `sale.payments.acquirer.transactionReference` (string, required)
    A reference number that can be used to look up the transaction in the acquirer's system.

  - `sale.payments.acquirer.terminalId` (string, required)
    The Financial Institution's id of the payment terminal that performed the transaction

  - `sale.payments.method` (string, required)
    Enum: "EFTPOS", "CASH", "GIFT_CARD", "POINTS"

  - `sale.payments.goodsAndServicesAmount` (object, required)
    The amount (in cents) being paid for the goods and services

  - `sale.payments.goodsAndServicesAmount.amount` (integer, required)
    This is the amount in smallest currency unit. e.g 12520 (in cents) is $125.20
    Example: 12520

  - `sale.payments.goodsAndServicesAmount.currency` (string, required)
    This is always AUD
    Enum: "AUD"

  - `sale.payments.tipAmount` (object)
    The tip amount added on top of the goods and services

  - `sale.payments.tipAmount.amount` (integer, required)
    This is the amount in smallest currency unit. e.g 12520 (in cents) is $125.20
    Example: 12520

  - `sale.payments.tipAmount.currency` (string, required)
    This is always AUD
    Enum: "AUD"

  - `sale.payments.cashoutAmount` (object)
    The cashout amount requested on top of the goodsAndServicesAmount

  - `sale.payments.cashoutAmount.amount` (integer, required)
    This is the amount in smallest currency unit. e.g 12520 (in cents) is $125.20
    Example: 12520

  - `sale.payments.cashoutAmount.currency` (string, required)
    This is always AUD
    Enum: "AUD"

  - `sale.payments.surchargeAmount` (object)
    The surcharge amount (in cents) charged by the merchant to process the payment method

  - `sale.payments.surchargeAmount.amount` (integer, required)
    This is the amount in smallest currency unit. e.g 12520 (in cents) is $125.20
    Example: 12520

  - `sale.payments.surchargeAmount.currency` (string, required)
    This is always AUD
    Enum: "AUD"

  - `sale.total` (object)
    The total (in cents) of this sale. It must calculate to: sum(items[].total) - discounts + surcharges

  - `sale.total.amount` (integer, required)
    This is the amount in smallest currency unit. e.g 12520 (in cents) is $125.20
    Example: 12520

  - `sale.total.currency` (string, required)
    This is always AUD
    Enum: "AUD"

  - `sale.subtotal` (object)
    The subtotal (in cents) of this sale. It must calculate to: sum(items[].total)

  - `sale.subtotal.amount` (integer, required)
    This is the amount in smallest currency unit. e.g 12520 (in cents) is $125.20
    Example: 12520

  - `sale.subtotal.currency` (string, required)
    This is always AUD
    Enum: "AUD"

## Response 404 fields (application/json):

  - `error` (string)
    The error message.


## Response 401 fields
